body {
  margin: 0;
  height: 100vh;

  background-color: black;
  background-repeat: repeat-x;
  background-size: auto 100%;
  user-select: none;

}

@keyframes defilement {
  from {
    background-position: 0 0;
  }
  to {
    background-position: -2000px 0;
  }
}

.h1 {
    color: red;
    font-family: 'Impact', sans-serif;
    font-size: 100px;
    text-align: left;
    margin-left: 5%;
    margin-top: 1%;
}

@keyframes pulse {
  0% {
    transform: scale(1);   /* taille normale */
  }
  50% {
    transform: scale(1.1); /* agrandit légèrement */
  }
  100% {
    transform: scale(1);   /* revient à la taille normale */
  }
}

@font-face {
  font-family: 'MaPolice';
  src: url('fonts/fonts2.otf') format('truetype');
}

.close-btn {
  position: absolute;
  top: 20px;
  right: 40px;
  font-size: 50px;
  cursor: pointer;
  color: red;
}

.close-btn:hover {
  transform: rotate(90deg);
  transition: 0.3s;
}

.p2 {
    color: red;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12px;
    text-align: left;
    margin-left: 5%;
}

div.pp {
    display: flex;
    gap: 100px; /* espace entre les mots */
}

/* Boîte du ticker */
#ticker-wrapper {
  width: 70%;
  height: 25px;
  background: black;
  overflow: hidden;
  border: 3px solid white;
  box-sizing: border-box;
  margin-top: 10px;
  position: relative;
  display: flex;          /* ajouter flex */
  align-items: center;    /* centrer verticalement le contenu */
  position: relative;
  margin-left: 5%;
  user-select: none;
}

/* Contenu du ticker */
#ticker {
  display: flex;
  position: absolute;
  white-space: nowrap;
  will-change: transform;
  cursor: grab;
  user-select: none;
}

/* Items du ticker */
.ticker-item {
  color: red;
  font-family: monospace;
  font-size: 16px;
  padding: 0 0px; /* espace entre items */
  user-select: none;
}

.coin-droit {
  position: fixed;
  bottom: 10px;

  max-width: 200px;       /* largeur maximale pour plusieurs lignes */
  text-align: center;      /* centre le texte à l’intérieur du bloc */
  display: inline-block;   /* pour que max-width fonctionne correctement */

  color: red;
  font-family: Arial, Helvetica, sans-serif;
  background: rgba(0,0,0,0.5);
  padding: 5px 10px;
  border-radius: 5px;
  font-size: 11px;
  z-index: 9999;
  right: 5%;

}

.menu {
    width: 220px;
    height: 100vh;
    position: fixed;
    padding-top: 20px;
    margin-left: 5%;
}

/* Liens du menu */
.menu a {
    display: block;
    font-family: Impact, sans-serif; /* Police Impact */
    font-size: 22px;
    color: red; /* Rouge */
    padding: 15px 0px;
    text-decoration: none; /* Supprime le soulignement */
}

/* Au survol */
.menu a:hover {
    color: greenyellow; /* Devient vert-jaune */
}

/* Contenu principal */
.content {
    
    padding: 20px;
}

#image-droite {
  position: fixed;
  right: 0;
  top: 50%;
  transform: translateY(-50%); /* centrée verticalement */
  width: 50%; /* taille ajustable */
}